void hi_isr(void);     ///< Magas priorits programmegszakts kiszolglsa
void lo_isr(void);     ///< Alacsony priorits programmegszakts kiszolglsa

/*
// Csak bootloader esetn
#define RESET_VECTOR			0x1000
#define HIGH_INTERRUPT_VECTOR	0x1008
#define LOW_INTERRUPT_VECTOR	0x1018

extern void _startup(void);
#pragma code REMAPPED_RESET_VECTOR = RESET_VECTOR
void _reset (void){
	_asm goto _startup _endasm
}

#pragma code REMAPPED_HIGH_INTERRUPT_VECTOR = HIGH_INTERRUPT_VECTOR
void Remapped_High_ISR (void){
	 _asm goto hi_isr _endasm
}

#pragma code REMAPPED_LOW_INTERRUPT_VECTOR = LOW_INTERRUPT_VECTOR
void Remapped_Low_ISR (void){
	 _asm goto lo_isr _endasm 
}
*/

// Ha nem hasznlok bootloadert
#pragma code high_vector_addr=0x08
void high_vector(void) {
  _asm GOTO hi_isr _endasm
}
#pragma code low_vector_addr=0x18
void low_vector(void) {
  _asm GOTO lo_isr _endasm
}

#pragma code             //visszatrnk az alaprtelmezett kdszekciba
#pragma interrupt hi_isr
void hi_isr (void) {
/* Itt trtnik a magas priorits megszakts tnyleges kiszolglsa */
	nulla++;
	LATDbits.LATD3 = !LATDbits.LATD3;
	INTCONbits.INT0IF = 0;
	INTCON2bits.INTEDG0 = !INTCON2bits.INTEDG0;
}

#pragma interruptlow lo_isr
void lo_isr (void) {
  /* Itt trtnik az alacsony priorits megszakts tnyleges kiszolglsa */
}
